#' Linear Equation Solver
#'
#' Using Lapack DGESV, similar to the base solve routine of R.
#'
#' @note for testing purposes
#'
#' @export
La.solve <- function(A, B = diag(nrow(A))) {
    storage.mode(A) <- storage.mode(B) <- "double"
    .Call("C_solve", A, as.matrix(B), PACKAGE = "tensorPredictors")
}
